For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
      • GETList all Reports
      • POSTCreate a Report
      • GETRetrieve a Report
      • DELRedact a Report
      • POSTAdd tag to a Report
      • POSTReport Action: Dismiss Matches
      • GETList Report history
      • POSTReport Action: Pause Continuous Monitoring
      • GETPrint Report PDF
      • POSTRemove tag from a Report
      • POSTReport Action: Resume Continuous Monitoring
      • POSTReport Action: Re-run Report
      • POSTSet tags on a Report
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceReports

List Report history

GET
https://api.withpersona.com/api/v1/reports/:report-id/history
GET
/api/v1/reports/:report-id/history
$curl https://api.withpersona.com/api/v1/reports/report-id/history \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "type": "run",
5 "run-type": "scheduled",
6 "completed-at": "2025-10-22T05:07:10.000+00:00",
7 "id": "rpr_5HCmTnQMtLgRyarbyFDFNy8k",
8 "matches": 30,
9 "scheduled-date": "2025-10-22"
10 },
11 {
12 "type": "dismiss",
13 "created-at": "2025-10-22T05:09:22.065+00:00",
14 "creator-name": "John Doe",
15 "id": "ract_nXmT51zEhQnwRYPCJmQ73Rq5"
16 },
17 {
18 "type": "review",
19 "created-at": "2025-10-22T04:30:03.000+00:00",
20 "creator-name": "John Doe",
21 "id": "ract_zbzaG66ZnxeRxnSrumQGU8kF"
22 },
23 {
24 "type": "pause",
25 "created-at": "2025-10-22T04:30:03.000+00:00",
26 "creator-name": "John Doe",
27 "id": "ract_xxSK46C5xQ8pCqcg3wKUyX5F"
28 },
29 {
30 "type": "resume",
31 "created-at": "2025-10-22T04:30:03.000+00:00",
32 "creator-name": "John Doe",
33 "id": "ract_L6JdsScaRjdzfKhESXRELyMg"
34 }
35 ],
36 "links": {
37 "prev": "string",
38 "next": "/api/v1/reports/report-id/history?page%5Bafter%5D=rpr_VydFpmA58EyEYnWLprvtMNau"
39 }
40}
Retrieves the history of an existing Report, including runs and actions. See [Pagination](https://docs.withpersona.com/pagination) for more details about handling the response. Results are returned in reverse chronological order, with the most recently created objects first.
Was this page helpful?
Previous

Report Action: Pause Continuous Monitoring

Next
Built with

Retrieves the history of an existing Report, including runs and actions. See Pagination for more details about handling the response. Results are returned in reverse chronological order, with the most recently created objects first.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

report-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

pageobjectOptional

Response

This endpoint returns a history array containing report runs and actions.
datalist of objects
The history of runs and actions for a report
linksobject or null
Pagination links for navigating through the history

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.